/**** langues étrangères ****/

.en, .lat {
    font-style: italic;
}

/**** figures ****/

div.figure p.caption, div.figure {
    text-align: center;
}

.caption em {
  font-style: normal;
}

/**** messages HTTP ****/

.request pre {
    background-color: beige;
}
.response pre {
    background-color: #CCFFCC;
}


/**** code comparison ****/

.comparison {
  display: flex;
  justify-content: space-between;
  margin: .5em;
}

.comparison div[class^="highlight-"] {
  flex: 1;
  margin: 0 .5em;
}

.comparison div[class^="highlight-"] .highlight {
  position: relative;
}

.comparison div[class^="highlight-"] .highlight::after {
  position: absolute;
  font-size: 66%;
  opacity: .5;
  padding: .1em .3em;
  bottom: 0;
  right: 0;
}

.comparison .highlight-javascript .highlight::after {
  content: "javascript";
}

.comparison .highlight-python .highlight::after {
  content: "python";
}

/**** schémas url-structure ****/

.url-structure {
  line-height: 100%;
}
.url-structure i {
  font-style: normal;
}

.url-structure .p {
  color: #ff420e;
}

.url-structure .s {
  color: #579d1c
}
.url-structure .r1 {
  color: #004586;
}

.url-structure .r2 {
  color: #4472c4;
}

.url-structure .r3 {
  color: #0084d1;
}
